Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SvcMsgDataRow

`java.lang.Object
oracle.jbo.common.SvcMsgDataRow`

All Implemented Interfaces:
  DataRow, java.io.Serializable

public final class SvcMsgDataRow
extends java.lang.Object
implements DataRow

See Also:
  Serialized Form

Field Summary
`static int` | `DATAROW_CREATE`
`static int` | `DATAROW_CURRENT_ROW`
`static int` | `DATAROW_CURRENT_ROW_AT_RANGE_INDEX`
`static int` | `DATAROW_DELETE`
`static int` | `DATAROW_DELETE_FROM_CLI`
`static int` | `DATAROW_DELETE_REINIT_ROW`
`static int` | `DATAROW_FROM_RANGE_REFRESHED`
`static int` | `DATAROW_FROM_RANGE_SCROLLED`
`static int` | `DATAROW_INSERT`
`static int` | `DATAROW_LOCK`
`static int` | `DATAROW_REFRESH`
`static int` | `DATAROW_REMOVE_AND_RETAIN`
`static int` | `DATAROW_REMOVE_FROM_COLLECTION`
`static int` | `DATAROW_REVERT_DELETE`
`static int` | `DATAROW_REVERT_UPDATE`
`static int` | `DATAROW_ROW`
`static int` | `DATAROW_UPDATE`
`static int` | `DATAROW_VALIDATE`

Fields inherited from interface oracle.svcmsg.DataRow
`ROW_OP_DELETE, ROW_OP_INSERT, ROW_OP_UPDATE`

Constructor Summary
`SvcMsgDataRow()`
`SvcMsgDataRow(int rowType, int rowIndex, java.lang.Object[] attrVals, int[] attrIndices, byte newRowState, java.lang.Object rowFilterValues, Key key)`
`SvcMsgDataRow(ObjectMarshaller marshaller, int rowType, int rsiId, int rowIndex, AttributeList row, java.lang.Object rowHandle, byte newRowState, int[] changedAttrIndices)`
`SvcMsgDataRow(ObjectMarshaller marshaller, int rowType, int rsiId, int rowIndex, AttributeList row, java.lang.Object rowHandle, byte newRowState, int[] changedAttrIndices, AccTravDef accTravDef, int accTravLimit)`
`SvcMsgDataRow(ObjectMarshaller marshaller, int rowType, int rsiId, int rangeStart, int rowIndex, java.lang.Object[] attrVals, int[] attrIndices, java.lang.Object rowHandle, byte newRowState, java.lang.Object rowFilterValues, Key key, int rowRSIId)`

Method Summary
`java.lang.Object` | `getAttribute(int attrId)` Returns the attribute value.
`int[]` | `getAttributeIndices()`
`java.lang.Object[]` | `getAttributes()` Returns all attribute values.
`java.util.BitSet` | `getAttributeUpdateableFlags()`
`java.lang.Object` | `getHandle()`
`byte` | `getNewRowState()`
`int` | `getNumUnmarshalledAttrs()`
`java.lang.Object` | `getOldHandle()`
`int` | `getOperation()` Returns the row operation.
`int` | `getRangeStart()`
`java.lang.Object` | `getRowFilterValues()`
`int` | `getRowIndex()`
`int` | `getRowRSIId()`
`int` | `getRSIId()`
`Row` | `getServerObject()` Advanced - for internal use only.
`Key` | `getServerRowKey()`
`int` | `getViewDefId()`
`boolean` | `isRangeAtBottom()`
`boolean` | `isRangeAtTop()`
`boolean` | `isRowCurrent()`
`boolean` | `isRowSetExecuted()`
`static java.lang.Object` | `marshalValue(java.lang.Object obj, ObjectMarshaller marshaller)`
`void` | `setAttribute(int attrId, java.lang.Object value)` Sets the attribute value.
`void` | `setOldHandle(java.lang.Object hdl)`
`void` | `setRangeAtBottom(boolean b)`
`void` | `setRangeAtTop(boolean b)`
`void` | `setRowCurrent(boolean b)`
`void` | `setRowSetExecuted(boolean b)`
`void` | `setViewDefId(int viewDefId)`
`static java.lang.Object` | `unMarshalValue(java.lang.Object obj, ObjectMarshaller marshaller)`
`void` | `useServerObject(Row row)` Advanced - for internal use only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATAROW_UPDATE

    public static final int DATAROW_UPDATE

  See Also:
    Constant Field Values

### DATAROW_INSERT

    public static final int DATAROW_INSERT

  See Also:
    Constant Field Values

### DATAROW_ROW

    public static final int DATAROW_ROW

  See Also:
    Constant Field Values

### DATAROW_CURRENT_ROW_AT_RANGE_INDEX

    public static final int DATAROW_CURRENT_ROW_AT_RANGE_INDEX

  See Also:
    Constant Field Values

### DATAROW_CURRENT_ROW

    public static final int DATAROW_CURRENT_ROW

  See Also:
    Constant Field Values

### DATAROW_FROM_RANGE_REFRESHED

    public static final int DATAROW_FROM_RANGE_REFRESHED

  See Also:
    Constant Field Values

### DATAROW_FROM_RANGE_SCROLLED

    public static final int DATAROW_FROM_RANGE_SCROLLED

  See Also:
    Constant Field Values

### DATAROW_CREATE

    public static final int DATAROW_CREATE

  See Also:
    Constant Field Values

### DATAROW_DELETE

    public static final int DATAROW_DELETE

  See Also:
    Constant Field Values

### DATAROW_REMOVE_FROM_COLLECTION

    public static final int DATAROW_REMOVE_FROM_COLLECTION

  See Also:
    Constant Field Values

### DATAROW_REMOVE_AND_RETAIN

    public static final int DATAROW_REMOVE_AND_RETAIN

  See Also:
    Constant Field Values

### DATAROW_DELETE_FROM_CLI

    public static final int DATAROW_DELETE_FROM_CLI

  See Also:
    Constant Field Values

### DATAROW_DELETE_REINIT_ROW

    public static final int DATAROW_DELETE_REINIT_ROW

  See Also:
    Constant Field Values

### DATAROW_REVERT_DELETE

    public static final int DATAROW_REVERT_DELETE

  See Also:
    Constant Field Values

### DATAROW_REVERT_UPDATE

    public static final int DATAROW_REVERT_UPDATE

  See Also:
    Constant Field Values

### DATAROW_LOCK

    public static final int DATAROW_LOCK

  See Also:
    Constant Field Values

### DATAROW_VALIDATE

    public static final int DATAROW_VALIDATE

  See Also:
    Constant Field Values

### DATAROW_REFRESH

    public static final int DATAROW_REFRESH

  See Also:
    Constant Field Values

Constructor Detail

### SvcMsgDataRow

    public SvcMsgDataRow()

### SvcMsgDataRow

    public SvcMsgDataRow(ObjectMarshaller marshaller,
                         int rowType,
                         int rsiId,
                         int rangeStart,
                         int rowIndex,
                         java.lang.Object[] attrVals,
                         int[] attrIndices,
                         java.lang.Object rowHandle,
                         byte newRowState,
                         java.lang.Object rowFilterValues,
                         Key key,
                         int rowRSIId)

### SvcMsgDataRow

    public SvcMsgDataRow(int rowType,
                         int rowIndex,
                         java.lang.Object[] attrVals,
                         int[] attrIndices,
                         byte newRowState,
                         java.lang.Object rowFilterValues,
                         Key key)

### SvcMsgDataRow

    public SvcMsgDataRow(ObjectMarshaller marshaller,
                         int rowType,
                         int rsiId,
                         int rowIndex,
                         AttributeList row,
                         java.lang.Object rowHandle,
                         byte newRowState,
                         int[] changedAttrIndices,
                         AccTravDef accTravDef,
                         int accTravLimit)

### SvcMsgDataRow

    public SvcMsgDataRow(ObjectMarshaller marshaller,
                         int rowType,
                         int rsiId,
                         int rowIndex,
                         AttributeList row,
                         java.lang.Object rowHandle,
                         byte newRowState,
                         int[] changedAttrIndices)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(int attrId)

  Description copied from interface: `DataRow`
  Returns the attribute value.
  Specified by:
    `getAttribute` in interface `DataRow`
  Parameters:
    `attrId` - attribute index.
  Returns:
    the attribute value.

### setAttribute

    public void setAttribute(int attrId,
                             java.lang.Object value)

  Description copied from interface: `DataRow`
  Sets the attribute value.
  Specified by:
    `setAttribute` in interface `DataRow`
  Parameters:
    `attrId` - attribute index.
    `value` - the new attribute value.

### getOperation

    public int getOperation()

  Description copied from interface: `DataRow`
  Returns the row operation.
  Specified by:
    `getOperation` in interface `DataRow`
  Returns:
    one of the `ROW_OP_...` constants or further extended operation id.

### setViewDefId

    public void setViewDefId(int viewDefId)

### getViewDefId

    public int getViewDefId()

### getRSIId

    public int getRSIId()

### getRangeStart

    public int getRangeStart()

### getRowIndex

    public int getRowIndex()

### getAttributes

    public java.lang.Object[] getAttributes()

  Description copied from interface: `DataRow`
  Returns all attribute values.
  Specified by:
    `getAttributes` in interface `DataRow`
  Returns:
    array of attribute values.

### getAttributeUpdateableFlags

    public java.util.BitSet getAttributeUpdateableFlags()

### getAttributeIndices

    public int[] getAttributeIndices()

### getHandle

    public java.lang.Object getHandle()

### getOldHandle

    public java.lang.Object getOldHandle()

### setOldHandle

    public void setOldHandle(java.lang.Object hdl)

### getRowFilterValues

    public java.lang.Object getRowFilterValues()

### getServerRowKey

    public Key getServerRowKey()

### getRowRSIId

    public int getRowRSIId()

### isRowCurrent

    public boolean isRowCurrent()

### setRowCurrent

    public void setRowCurrent(boolean b)

### isRowSetExecuted

    public boolean isRowSetExecuted()

### setRowSetExecuted

    public void setRowSetExecuted(boolean b)

### isRangeAtBottom

    public boolean isRangeAtBottom()

### setRangeAtBottom

    public void setRangeAtBottom(boolean b)

### isRangeAtTop

    public boolean isRangeAtTop()

### setRangeAtTop

    public void setRangeAtTop(boolean b)

### getNewRowState

    public byte getNewRowState()

### marshalValue

    public static java.lang.Object marshalValue(java.lang.Object obj,
                                                ObjectMarshaller marshaller)

### unMarshalValue

    public static java.lang.Object unMarshalValue(java.lang.Object obj,
                                                  ObjectMarshaller marshaller)

### getNumUnmarshalledAttrs

    public int getNumUnmarshalledAttrs()

### useServerObject

    public void useServerObject(Row row)

  Advanced - for internal use only.

### getServerObject

    public Row getServerObject()

  Advanced - for internal use only.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.